Overview
DELETE/access/roles/{id}access

Soft-delete a custom role (refused while assignments still reference it)

Delete a record from roles by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
  • workspacequerystring
Responses
204

Deleted

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/access/roles/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/roles/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();